@import url('https://fonts.googleapis.com/icon?family=Material+Icons');
@import url('https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined');
@import url('https://fonts.googleapis.com/css?family=Jost');

@media only screen and (max-width: 480px) {

    body {
	background-color: white;
	overflow: hidden;
    }

    h1 > span.material-symbols-outlined {
	color: black;
	font-size: inherit;
    }

    span.material-symbols-outlined {
	color: gray;
	font-size: large;
    }

    img.hero {
	margin-left: auto;
	margin-right: auto;
	display: block;
	margin-top: 1em;
	margin-bottom: 1em;
	width: 70%;
	object-fit: cover;
    }

    h1 {
	text-align: center;
	font-family: 'Jost';
	font-size: 3em;
	margin-bottom: 0em;
	margin-top: 0em;
	color: black;
    }

    h2 {
	text-align: center;
	font-family: 'Jost';
	font-size: 3em;
	margin-bottom: 0em;
	margin-top: 0em;
	color: black;
    }

    .search-box {
	border-color: whitesmoke;
	border-style: solid;
	border-radius: 30px;
	border-width: thin;
	padding: 10px;
	width: 240px;
	margin-left: auto;
	margin-right: auto;
	margin-top: 1em;
	margin-bottom: 1em;
    }

    input[type="search"] {
	width: 100%;
	border: none;
	font-size: inherit;
	padding: 0px;
	background-color: white;
	color: black;
    }

    input[type="search"]:focus {
	outline: none;
    }

    .search-input {
	margin: 0px;
    }

    .search-box ul {
	padding: 0px;
    }

    .search-box li {
	display: flex;
	align-items: center;
	padding: 3px;
    }

    .search-box li>a {
	text-decoration: none;
	color: inherit;
    }

    .search-box li::before {
	content: 'search';
	font-family: 'Material Icons';
	color: gray;
    }

    .search-results {
	margin: 0px;
	font-family: sans-serif;
	color: black;
    }

    .search-results hr {
	border-top: 1px solid whitesmoke;
	border-bottom: 0px;
	border-left: 0px;
	border-right: 0px;
	margin-top: 4px;
	margin-bottom: 4px;
    }

    .search-results li:hover {
	background-color: whitesmoke;
	color: black;
    }

    li:focus {
	outline: 0px;
	background-color: whitesmoke;
	color: black;
    }

    a:focus {
	outline: 0px;
	background-color: whitesmoke;
	color: white;
    }

    .search-box:hover {
	box-shadow: 0px 0px 5px lightgray;
    }

    ul.search-buttons {
	display: flex;
	justify-content: center;
	padding: 0px;
    }

    ul.search-buttons > li {
	display: inline-block;
	margin-left: 1px;
	margin-right: 1px;
    }


    ul.search-buttons button {
	background-color: whitesmoke;
	border: 1px solid whitesmoke;
	border-radius: 4px;
	color: black;
	font-family: Roboto,arial,sans-serif;
	font-size: 8px;
	padding: 0 16px;
	line-height: 27px;
	height: 36px;
	min-width: 54px;
	text-align: center;
	cursor: pointer;
	user-select: none;
    }

    ul.search-buttons button:hover {
	border: 1px solid lightgray;
	outline: 0px;
    }

    ul.search-buttons button:focus {
	border: 1px solid lightgray;
	outline: 0px;
    }

    ul.voting-buttons {
	display: flex;
	justify-content: center;
	padding: 0px;
    }

    ul.voting-buttons > li {
	display: inline-block;
	margin-left: 1px;
	margin-right: 1px;
    }


    ul.voting-buttons button {
	background-color: whitesmoke;
	border: 1px solid whitesmoke;
	border-radius: 4px;
	color: black;
	font-family: Roboto,arial,sans-serif;
	font-size: 16px;
	padding: 0 16px;
	line-height: 27px;
	height: 72px;
	min-width: 54px;
	text-align: center;
	cursor: pointer;
	user-select: none;
    }

    ul.voting-buttons button:hover {
	border: 1px solid lightgray;
	outline: 0px;
    }

    ul.voting-buttons button:focus {
	border: 1px solid lightgray;
	outline: 0px;
    }
}

@media only screen and (min-width: 480px) {
    body {
	background-color: white;
	/* overflow: hidden; */
    }

    h1 > span.material-symbols-outlined {
	color: black;
	font-size: inherit;
    }

    span.material-symbols-outlined {
	color: gray;
	font-size: large;
    }

    img.hero {
	margin-left: auto;
	margin-right: auto;
	display: block;
	margin-top: 4em;
	margin-bottom: 1em;
	width: 25em;
	object-fit: cover;
    }

    h1 {
	text-align: center;
	font-family: 'Jost';
	font-size: 5em;
	margin-bottom: 0em;
	margin-top: 0em;
	color: black;
    }

    h2 {
	text-align: center;
	font-family: 'Jost';
	font-size: 3em;
	margin-bottom: 0em;
	margin-top: 0em;
	color: black;
    }

    .search-box {
	border-color: whitesmoke;
	border-style: solid;
	border-radius: 30px;
	border-width: thin;
	padding: 10px;
	width: 30em;
	margin-left: auto;
	margin-right: auto;
	margin-top: 1em;
	margin-bottom: 1em;
    }

    input[type="search"] {
	width: 100%;
	border: none;
	font-size: inherit;
	padding: 0px;
	background-color: white;
	color: black;
    }

    input[type="search"]:focus {
	outline: none;
    }

    .search-input {
	margin: 0px;
    }

    .search-box ul {
	padding: 0px;
    }

    .search-box li {
	display: flex;
	align-items: center;
	padding: 3px;
    }

    .search-box li>a {
	text-decoration: none;
	color: inherit;
    }

    .search-box li::before {
	content: 'search';
	font-family: 'Material Icons';
	color: gray;
    }

    .search-results {
	margin: 0px;
	font-family: sans-serif;
	color: black;
    }

    .search-results hr {
	border-top: 1px solid whitesmoke;
	border-bottom: 0px;
	border-left: 0px;
	border-right: 0px;
	margin-top: 4px;
	margin-bottom: 4px;
    }

    .search-results li:hover {
	background-color: whitesmoke;
	color: black;
    }

    li:focus {
	outline: 0px;
	background-color: whitesmoke;
	color: black;
    }

    a:focus {
	outline: 0px;
	background-color: whitesmoke;
	color: white;
    }

    .search-box:hover {
	box-shadow: 0px 0px 5px lightgray;
    }

    ul.search-buttons {
	display: flex;
	justify-content: center;
	padding: 0px;
    }

    ul.search-buttons > li {
	display: inline-block;
	margin-left: 1px;
	margin-right: 1px;
    }


    ul.search-buttons button {
	background-color: whitesmoke;
	border: 1px solid whitesmoke;
	border-radius: 4px;
	color: black;
	font-family: Roboto,arial,sans-serif;
	font-size: 14px;
	padding: 0 16px;
	line-height: 27px;
	height: 36px;
	min-width: 54px;
	text-align: center;
	cursor: pointer;
	user-select: none;
    }

    ul.search-buttons button:hover {
	border: 1px solid lightgray;
	outline: 0px;
    }

    ul.search-buttons button:focus {
	border: 1px solid lightgray;
	outline: 0px;
    }

    ul.voting-buttons {
	display: flex;
	justify-content: center;
	padding: 0px;
    }

    ul.voting-buttons > li {
	display: inline-block;
	margin-left: 1px;
	margin-right: 1px;
    }


    ul.voting-buttons button {
	background-color: whitesmoke;
	border: 1px solid whitesmoke;
	border-radius: 4px;
	color: black;
	font-family: Roboto,arial,sans-serif;
	font-size: 16px;
	padding: 0 16px;
	line-height: 27px;
	height: 72px;
	min-width: 54px;
	text-align: center;
	cursor: pointer;
	user-select: none;
    }

    ul.voting-buttons button:hover {
	border: 1px solid lightgray;
	outline: 0px;
    }

    ul.voting-buttons button:focus {
	border: 1px solid lightgray;
	outline: 0px;
    }
}
